Package org.bgerp.plugin.git

# Class Config

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.plugin.git.Config

public class Config extends Config

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY, log`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Config(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `author(ConnectionSet conSet, Process p)`
  GIT commit author.
  `String`
  `branch(ConnectionSet conSet, int processId)`
  Branch name from process parameter.
  `String`
  `getCreateBranchSuffix()`
  `String`
  `mainBranch()`
  `void`
  `paramChanged(ParamChangedEvent e, ConnectionSet conSet)`
  Generates branch name parameter value.
  `String`
  `prefix(int processId)`
  Prefix for commit and branch.
  `void`
  `processChanging(ProcessChangingEvent e, ConnectionSet conSet)`
  Checks allowance of status change when branch name is filled.

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Config

    protected Config(ConfigMap config) throws Config.InitStopException
    Throws:
      `Config.InitStopException`

- ## Method Details

  - ### paramChanged

    public void paramChanged(ParamChangedEvent e, ConnectionSet conSet) throws Exception
    Generates branch name parameter value.
    Parameters:
      `e` -
      `conSet` -
    Throws:
      `Exception`

  - ### processChanging

    public void processChanging(ProcessChangingEvent e, ConnectionSet conSet) throws SQLException, BGMessageException
    Checks allowance of status change when branch name is filled.
    Parameters:
      `e` -
      `conSet` -
    Throws:
      `SQLException`
      `BGMessageException` - when status change isn't allowed.

  - ### mainBranch

    public String mainBranch()
    Returns:
      main branch name.

  - ### prefix

    public String prefix(int processId)
    Prefix for commit and branch.
    Parameters:
      `processId` -
    Returns:

  - ### branch

    public String branch(ConnectionSet conSet, int processId) throws SQLException
    Branch name from process parameter.
    Parameters:
      `conSet` -
      `processId` -
    Returns:
    Throws:
      `SQLException`

  - ### author

    public String author(ConnectionSet conSet, Process p) throws Exception
    GIT commit author.
    Parameters:
      `conSet` -
      `p` -
    Returns:
    Throws:
      `Exception`

  - ### getCreateBranchSuffix

    public String getCreateBranchSuffix()
    Returns:
      command after a branch's creation.